adpEnsembleAverage {oce} | R Documentation

## Ensemble Average an ADP Object in Time

### Description

Ensemble averaging of `adp` objects is often necessary to reduce the uncertainty in velocity estimates from single pings. Many types of ADPs can be configured to perform the ensemble averaging during the data collection, due to memory limitations for long deployments. In cases where the instrument is not memory limited, it may be desirable to perform the ensemble averaging during post-processing, thereby reducing the overall size of the data set and decreasing the uncertainty of the velocity estimates (by averaging out Doppler noise).

### Usage

    adpEnsembleAverage(x, n = 5, leftover = FALSE)

### Arguments

`x` | an `adp` object, i.e. one inheriting from `adp-class`.
`n` | number of pings to average together.
`leftover` | a logical value indicating how to proceed in cases where `n` does not divide evenly into the number of ensembles in `x`. If `leftover` is `FALSE` (the default) then any extra ensembles at the end of `x` are ignored. Otherwise, they are used to create a final ensemble in the returned value.

### Value

A reduced object of `adp-class` with ensembles averaged as specified. E.g. for an `adp` object with 100 pings and `n=5` the number of rows of the data arrays will be reduced by a factor of 5.

### Author(s)

Clark Richards

### See Also

Other things related to `adp` data: `[[,adp-method`, `[[<-,adp-method`, `adp-class`, `adp`, `as.adp`, `beamName`, `beamToXyzAdp`, `beamToXyzAdv`, `beamToXyz`, `beamUnspreadAdp`, `binmapAdp`, `enuToOtherAdp`, `enuToOther`, `plot,adp-method`, `read.ad2cp`, `read.adp.nortek`, `read.adp.rdi`, `read.adp.sontek.serial`, `read.adp.sontek`, `read.adp`, `read.aquadoppHR`, `read.aquadoppProfiler`, `read.aquadopp`, `subset,adp-method`, `summary,adp-method`, `toEnuAdp`, `toEnu`, `velocityStatistics`, `xyzToEnuAdp`, `xyzToEnu`

### Examples

    library(oce)
    data(adp)
    adpAvg <- adpEnsembleAverage(adp, n=2)
    plot(adpAvg)

[Package oce version 0.9-22 Index]